WineHQ telepítése elrontotta a frissítéskezelő szervereit

kojak képe

Fórum: 

WineHQ-t telepítettem volna a LM19 Cinnamon-ra a következő oldal leírása alapján:

https://wiki.winehq.org/Ubuntu

Eddig a sorig minden ment rendesen:

 

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'

Majd a következőt üzente:

https://drive.google.com/file/d/1xuiZMz4lftexTkaa53cJ84MtRphBSh7r/view?u...

Így nem sikerült a telepítés.

Viszont a frissítés kezelő nem talál tárolót, hiába állítom vissza alapértelmezettre az egészet. A frissítésre kattintva azt írja, "A csomaglista betöltése meghiúsult" Majd a hiba részletekben ezt írja:

E:Type 'sudo' is not known on line 3 in source list /etc/apt/sources.list.d/additional-repositories.list, E:The list of sources could not be read.

Küldjem el a feljesztőknek... hová?

Van valami megoldás, hogy legalább a frissítések működjenek? 

WineHQ telepítése elrontotta a frissítéskezelő szervereit

#2 Nem ennél lehet a baj. (Főleg, hogy ki is van kommentelve.)
De mégiscsak a szoftverlisták környékén kell keresni a baj eredetét.
Egy
inxi -r
kimenet talán többet elárul.
Ha hosszú a kimenet, az "Ubuntu pastebin"-re másold, és csak a rámutató linket a válaszodba.

https://paste.ubuntu.com/

Értékelés: 

0
Még nincs értékelve
kojak képe

WineHQ telepítése elrontotta a frissítéskezelő szervereit

#3 Jó, hogy írtad, most nézem, a szoftver kezelő sem indul el... amióta a WineHQ-t a fenti leírás alapján installálni szerettem volna.

Köszönöm néked WineHQ sad

Értékelés: 

0
Még nincs értékelve
tonsur képe

Nekem igy sikerült telepiteni a wine-t

A Sorrend fontos:
01 - elöször el kell távolitani a régi wine-t, és winetricks-t:
sudo apt-get purge wine-stable winetricks
sudo apt purge winehq-stable
02 - hozzáadni a 32 bites arhitekturát:
sudo dpkg --add-architecture i386
03 - tároló felvétele:
wget -nc https://dl.winehq.org/wine-builds/Release.key
sudo apt-key add Release.key
sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
04 - rendszer frissitése:
sudo apt-get update
05 - majd telepités:
sudo apt-get install --install-recommends winehq-stable

Forrás:
Installing WineHQ packages

Értékelés: 

0
Még nincs értékelve
kojak képe

Nekem igy sikerült telepiteni a wine-t

#6 erről az oldalról végeztem, írtam fentebb. nem volt régi wine, amit el kellett volna távolítani

Értékelés: 

0
Még nincs értékelve
kojak képe

WineHQ telepítése elrontotta a frissítéskezelő szervereit

#7 nem volt wine a gépen, de utána az eredmény uygan az, mint előtte

https://drive.google.com/file/d/1F2IhcypayruLTzHMRUdXzqN6nL7az8RD/view?u...

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nekem igy sikerült telepiteni a wine-t

#8 Valamilyen rossz leírás alapján próbáltál telepíteni mégis, mert a hiba behatárolás egyértelműen fogalmaz. Azaz, ez a mondat

E:Type 'sudo' is not known on line 3 in source list /etc/apt/sources.list.d/additional-repositories.list, E:The list of sources could not be read.

azt jelenti, hogy a sudo egy -a szoftverkezelő által- nem feldolgozható szó (azaz, nem nem információ) az /etc/apt/sources.list.d/ útvonalon található additional-repositories.list szövegfálj 3. sorában. Hiba (E = Error), vagyis a forráslista nem olvasható (helyesen). Azaz jelen állapotában használhatatlan, javítani kell. Vagyis a sudo szót törölni kell ..., stb..

Értékelés: 

0
Még nincs értékelve
kimarite képe

Az eredmény ugyanaz ...

#9 Mert az artful szó a sorban biztosan nem megfelelő. Íme a neked jó leírás:
Innen: https://wiki.winehq.org/Ubuntu

Installing WineHQ packages

If you have previously installed a Wine package from another repository, please remove it and any packages that depend on it (e.g., wine-mono, wine-gecko, winetricks) before attempting to install the WineHQ packages, as they may cause dependency conflicts.

If your system is 64 bit, enable 32 bit architecture (if you haven't already):

sudo dpkg --add-architecture i386 

Add the repository:

wget -nc https://dl.winehq.org/wine-builds/Release.key
sudo apt-key add Release.key
sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/

Dialog-warning.svgOn Linux Mint 17.x, the last line should be the following:

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ trusty main'

Dialog-warning.svgOn Linux Mint 18.x, the last line should be the following:

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ xenial main'

Dialog-warning.svgOn Linux Mint 19.x, the last line should be the following:

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'

Update packages:

sudo apt-get update

Then install one of the following packages:

Stable branch
sudo apt-get install --install-recommends winehq-stable
Development branch
sudo apt-get install --install-recommends winehq-devel
Staging branch
sudo apt-get install --install-recommends winehq-staging

If apt-get complains about missing dependencies, install them, then repeat the last two steps (update and install).

Értékelés: 

0
Még nincs értékelve
kimarite képe

Az eredmény ugyanaz ...

#11 Így nyisd me a fájlt (és a teljes tartalmát másold ide):

xdg-open /etc/apt/sources.list.d/additional-repositories.list

A $ karakter a prompt, nem kell a parancs elejére, de amúgy az általad használt parancs -mint említettem- az artful szó miatt felejtős (nincs az Ubuntu Atrful Aardvark kiadáshoz Linux Mint, ezért nem kompatibilisek). Használd az általam linkelt leírást.

A 3. sorban van a hiba, a sort törölni kell. Megmondjuk hogyan, csak fedezd már fel ..., hogy ott van. :-)

Értékelés: 

0
Még nincs értékelve
kojak képe

WineHQ telepítése elrontotta a frissítéskezelő szervereit

#4 az inxi -r: https://paste.ubuntu.com/p/wX2RPfJKZn/

Értékelés: 

0
Még nincs értékelve
kojak képe

Az eredmény ugyanaz ...

#12 kitöröltem :)

most ez van benne:

deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main

kell ez négyszer?

Értékelés: 

0
Még nincs értékelve
kojak képe

Az eredmény ugyanaz ...

#11 ezekkel a parancsokkal a 3. sor kitörlése után ment végig, de a Stable branch utáni parancsra ez jött ki:

sudo apt-get install --install-recommends winehq-stable
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
Néhány csomagot nem lehetett telepíteni. Ez azt jelentheti, hogy
egy lehetetlen állapotot kért, vagy ha az unstable disztribúciót
használja, akkor néhány igényelt csomag még nem készült el vagy ki
lett mozdítva az Incoming-ból.
Az alábbi információk segíthetnek megoldani a problémát:

Az alábbi csomagoknak teljesítetlen függőségei vannak:
 winehq-stable : Függ ettől: wine-stable (= 3.0.3~bionic)
E: A problémák nem javíthatók, sérült csomagokat fogott vissza.

 

Valamit elbaltázott? Vagy takarítani kell?

Értékelés: 

0
Még nincs értékelve
kimarite képe

Az eredmény ugyanaz ...

#14 Egyszer elég. és ezt a sort kellett törölni:

sudo apt-add-repository deb

Ez nem forrás sor.

Ki is lehet kommentelni (csak az érdekesség kedvéért)

#sudo apt-add-repository deb

Minden változtatás után frissíteni kell a tároló információkat, hogy életbe legyenek léptetve.

sudo apt-get update

Gondolom (tudom) ez megvolt, csak magyarázat.

Értékelés: 

0
Még nincs értékelve
kojak képe

Az eredmény ugyanaz ...

#16 azt töröltem, akkor kitörlöm a felesleget is.

közben megjavult a frissítéskezelő is yes

Értékelés: 

0
Még nincs értékelve
kimarite képe

aptitude

#15 Próbáld az aptitude csomagkezelővel. Nekem sosem volt ilyen problémám, de elfogadom, másnak lehet.

sudo aptitude install winehq-stable

Arra a lehetőségre mondj igent (gépelj be Y[es]-t és üss Enter-t), ahol szinte csak a Wine települ, de nem távolítódik el más alkalmazás. A könnyebb nézethez vedd nagy ablakra a terminált. Végignézhetsz minden lehetőséget, mert ezen semmi nem múlik. Ha azt az üzenetet kapod, nincs több lehetőség, akkor újra lehet kezdeni előről, megfontolva a lehetőségeket.

Értékelés: 

0
Még nincs értékelve
kojak képe

aptitude

#18 ez lett belőle, úgy hogy kezdem újra a Te parancsaiddal. kezdjem az engedélyezve a 32 bites cuccossal?

https://paste.ubuntu.com/p/xf7nRHFtsM/

Értékelés: 

0
Még nincs értékelve
kimarite képe

aptitude

#19 Csak akkor kell paranccsal a 32bit kompatibiltást megadni, ha 64bit-es a rendszer!
64bit-es a rendszered? Vagy 32bit-es?

Nem jó, mert yes-t akkor nyomsz, ha ennek az ellenkezője lesz (és nem távolítódik el, lehetőleg csomag,

3)     wine-stable [Nincs telepítve]              
4)     wine-stable-i386:i386 [Nincs telepítve]    
5)     winehq-stable [Nincs telepítve] 

Azaz most nem lesz telepítve a Wine. Olyan lehetőségre add áldásod, ahol igen, telepítve lesz. Remélem, érted a logikát. ;-)

Értékelés: 

0
Még nincs értékelve

Wine telepítése

Én leegyszerűsítettem a Wine telepítését: egyszerűen a Szoftverkezelőből telepítettem a PlayOnLinuxot, ami magától feltette a Wine-t. A WineHQ-val nekem is meggyűlt a bajom. Igaz, nálam LM18.3 van, nem a 19-es.

Értékelés: 

0
Még nincs értékelve
kojak képe

aptitude

#20 64 bites az LM19 a gépemen.

Értékelés: 

0
Még nincs értékelve